path: /build/build/freetype-media-libs-2-2.10.4+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-brotli -harfbuzz X bzip2 png utils fontforge" emerge media-libs/freetype:2 -pv -t && \
    USE="-brotli -harfbuzz X bzip2 png utils fontforge" emerge -j ${JOBS} --nodeps media-libs/freetype:2
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/freetype && luet-portage --dir /pkgdir/freetype
    media-libs/freetype:2 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:c58f654384ba9d8f0dc9d4f36fa4d639be49f545f79e4ad451118bc98e4df440
  package:
    name: freetype
    version: 2.10.4+1
    category: media-libs-2
    use_flags:
    - -brotli
    - -harfbuzz
    - X
    - bzip2
    - png
    - utils
    - fontforge
    requires:
    - name: libpng
      version: '>=0'
      category: media-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A high-quality and portable font engine
    uri:
    - https://www.freetype.org/
    license: '|| ( FTL GPL-2+ )'
    buildtimestamp: 2023-08-17 11:25:29.109158358 +0000 UTC m=+125.874467927
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815
      DEPEND: '>=sys-libs/zlib-1.2.8-r1 brotli? ( app-arch/brotli ) bzip2? ( >=app-arch/bzip2-1.0.6-r4
        ) harfbuzz? ( >=media-libs/harfbuzz-1.3.0[truetype] ) png? ( >=media-libs/libpng-1.2.51:0=
        ) utils? ( X? ( >=x11-libs/libX11-1.6.2 >=x11-libs/libXau-1.0.7-r1 >=x11-libs/libXdmcp-1.1.1-r1
        ) )'
      IUSE: X +adobe-cff bindist brotli bzip2 +cleartype_hinting debug doc fontforge
        harfbuzz infinality png static-libs utils
      RDEPEND: '>=sys-libs/zlib-1.2.8-r1 brotli? ( app-arch/brotli ) bzip2? ( >=app-arch/bzip2-1.0.6-r4
        ) harfbuzz? ( >=media-libs/harfbuzz-1.3.0[truetype] ) png? ( >=media-libs/libpng-1.2.51:0=
        ) utils? ( X? ( >=x11-libs/libX11-1.6.2 >=x11-libs/libXau-1.0.7-r1 >=x11-libs/libXdmcp-1.1.1-r1
        ) )'
      emerge.packages: media-libs/freetype:2
      kit: core-gl-kit
      original.package.name: media-libs/freetype
      original.package.slot: "2"
      original.package.version: 2.10.4-r1
    treedir: /build/packages
  package_dir: /pkgdir/freetype
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5a8a301bf6b8171a86ecda3711c9767cc18b16bfc833846e92e3fa7717c417aa
compressiontype: zstd
files:
- usr/bin/ftbench
- usr/bin/ftdiff
- usr/bin/ftdump
- usr/bin/ftgamma
- usr/bin/ftgrid
- usr/bin/ftlint
- usr/bin/ftmulti
- usr/bin/ftstring
- usr/bin/ftvalid
- usr/bin/ftview
- usr/bin/ttdebug
- usr/include/freetype2/freetype/config/ftconfig.h
- usr/include/freetype2/freetype/config/ftheader.h
- usr/include/freetype2/freetype/config/ftmodule.h
- usr/include/freetype2/freetype/config/ftoption.h
- usr/include/freetype2/freetype/config/ftstdlib.h
- usr/include/freetype2/freetype/config/integer-types.h
- usr/include/freetype2/freetype/config/mac-support.h
- usr/include/freetype2/freetype/config/public-macros.h
- usr/include/freetype2/freetype/freetype.h
- usr/include/freetype2/freetype/ftadvanc.h
- usr/include/freetype2/freetype/ftbbox.h
- usr/include/freetype2/freetype/ftbdf.h
- usr/include/freetype2/freetype/ftbitmap.h
- usr/include/freetype2/freetype/ftbzip2.h
- usr/include/freetype2/freetype/ftcache.h
- usr/include/freetype2/freetype/ftchapters.h
- usr/include/freetype2/freetype/ftcid.h
- usr/include/freetype2/freetype/ftcolor.h
- usr/include/freetype2/freetype/ftdriver.h
- usr/include/freetype2/freetype/fterrdef.h
- usr/include/freetype2/freetype/fterrors.h
- usr/include/freetype2/freetype/ftfntfmt.h
- usr/include/freetype2/freetype/ftgasp.h
- usr/include/freetype2/freetype/ftglyph.h
- usr/include/freetype2/freetype/ftgxval.h
- usr/include/freetype2/freetype/ftgzip.h
- usr/include/freetype2/freetype/ftimage.h
- usr/include/freetype2/freetype/ftincrem.h
- usr/include/freetype2/freetype/ftlcdfil.h
- usr/include/freetype2/freetype/ftlist.h
- usr/include/freetype2/freetype/ftlzw.h
- usr/include/freetype2/freetype/ftmac.h
- usr/include/freetype2/freetype/ftmm.h
- usr/include/freetype2/freetype/ftmodapi.h
- usr/include/freetype2/freetype/ftmoderr.h
- usr/include/freetype2/freetype/ftotval.h
- usr/include/freetype2/freetype/ftoutln.h
- usr/include/freetype2/freetype/ftparams.h
- usr/include/freetype2/freetype/ftpfr.h
- usr/include/freetype2/freetype/ftrender.h
- usr/include/freetype2/freetype/ftsizes.h
- usr/include/freetype2/freetype/ftsnames.h
- usr/include/freetype2/freetype/ftstroke.h
- usr/include/freetype2/freetype/ftsynth.h
- usr/include/freetype2/freetype/ftsystem.h
- usr/include/freetype2/freetype/fttrigon.h
- usr/include/freetype2/freetype/fttypes.h
- usr/include/freetype2/freetype/ftwinfnt.h
- usr/include/freetype2/freetype/t1tables.h
- usr/include/freetype2/freetype/ttnameid.h
- usr/include/freetype2/freetype/tttables.h
- usr/include/freetype2/freetype/tttags.h
- usr/include/freetype2/ft2build.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/autohint.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/cffotypes.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/cfftypes.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/compiler-macros.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftcalc.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftdebug.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftdrv.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftgloadr.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/fthash.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftmemory.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftobjs.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftpsprop.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftrfork.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftserv.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftstream.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/fttrace.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/ftvalid.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/psaux.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/pshints.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svbdf.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svcfftl.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svcid.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svfntfmt.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svgldict.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svgxval.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svkern.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svmetric.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svmm.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svotval.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svpfr.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svpostnm.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svprop.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svpscmap.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svpsinfo.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svsfnt.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svttcmap.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svtteng.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svttglyf.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/services/svwinfnt.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/sfnt.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/t1types.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/tttypes.h
- usr/include/freetype2/internal4fontforge/include/freetype/internal/wofftypes.h
- usr/include/freetype2/internal4fontforge/src/truetype/ttdriver.h
- usr/include/freetype2/internal4fontforge/src/truetype/tterrors.h
- usr/include/freetype2/internal4fontforge/src/truetype/ttgload.h
- usr/include/freetype2/internal4fontforge/src/truetype/ttgxvar.h
- usr/include/freetype2/internal4fontforge/src/truetype/ttinterp.h
- usr/include/freetype2/internal4fontforge/src/truetype/ttobjs.h
- usr/include/freetype2/internal4fontforge/src/truetype/ttpload.h
- usr/include/freetype2/internal4fontforge/src/truetype/ttsubpix.h
- usr/lib64/libfreetype.so
- usr/lib64/libfreetype.so.6
- usr/lib64/libfreetype.so.6.17.4
- usr/lib64/pkgconfig/freetype2.pc
- usr/share/aclocal/freetype2.m4
- usr/share/doc/freetype-2.10.4-r1/CHANGES.bz2
- usr/share/doc/freetype-2.10.4-r1/CUSTOMIZE.bz2
- usr/share/doc/freetype-2.10.4-r1/ChangeLog.bz2
- usr/share/doc/freetype-2.10.4-r1/DEBUG.bz2
- usr/share/doc/freetype-2.10.4-r1/INSTALL.UNIX.bz2
- usr/share/doc/freetype-2.10.4-r1/PROBLEMS.bz2
- usr/share/doc/freetype-2.10.4-r1/README.bz2
- usr/share/doc/freetype-2.10.4-r1/README.git.bz2
- usr/share/doc/freetype-2.10.4-r1/TODO.bz2
- usr/share/doc/freetype-2.10.4-r1/formats.txt.bz2
- usr/share/doc/freetype-2.10.4-r1/raster.txt.bz2
- var/db/pkg/media-libs/freetype-2.10.4-r1/BDEPEND
- var/db/pkg/media-libs/freetype-2.10.4-r1/BUILD_TIME
- var/db/pkg/media-libs/freetype-2.10.4-r1/CATEGORY
- var/db/pkg/media-libs/freetype-2.10.4-r1/CBUILD
- var/db/pkg/media-libs/freetype-2.10.4-r1/CFLAGS
- var/db/pkg/media-libs/freetype-2.10.4-r1/CHOST
- var/db/pkg/media-libs/freetype-2.10.4-r1/CONTENTS
- var/db/pkg/media-libs/freetype-2.10.4-r1/COUNTER
- var/db/pkg/media-libs/freetype-2.10.4-r1/CXXFLAGS
- var/db/pkg/media-libs/freetype-2.10.4-r1/DEFINED_PHASES
- var/db/pkg/media-libs/freetype-2.10.4-r1/DEPEND
- var/db/pkg/media-libs/freetype-2.10.4-r1/DESCRIPTION
- var/db/pkg/media-libs/freetype-2.10.4-r1/EAPI
- var/db/pkg/media-libs/freetype-2.10.4-r1/FEATURES
- var/db/pkg/media-libs/freetype-2.10.4-r1/HOMEPAGE
- var/db/pkg/media-libs/freetype-2.10.4-r1/INHERITED
- var/db/pkg/media-libs/freetype-2.10.4-r1/IUSE
- var/db/pkg/media-libs/freetype-2.10.4-r1/IUSE_EFFECTIVE
- var/db/pkg/media-libs/freetype-2.10.4-r1/KEYWORDS
- var/db/pkg/media-libs/freetype-2.10.4-r1/LDFLAGS
- var/db/pkg/media-libs/freetype-2.10.4-r1/LICENSE
- var/db/pkg/media-libs/freetype-2.10.4-r1/NEEDED
- var/db/pkg/media-libs/freetype-2.10.4-r1/PF
- var/db/pkg/media-libs/freetype-2.10.4-r1/PROVIDES
- var/db/pkg/media-libs/freetype-2.10.4-r1/RDEPEND
- var/db/pkg/media-libs/freetype-2.10.4-r1/REQUIRES
- var/db/pkg/media-libs/freetype-2.10.4-r1/RESTRICT
- var/db/pkg/media-libs/freetype-2.10.4-r1/SIZE
- var/db/pkg/media-libs/freetype-2.10.4-r1/SLOT
- var/db/pkg/media-libs/freetype-2.10.4-r1/USE
- var/db/pkg/media-libs/freetype-2.10.4-r1/environment.bz2
- var/db/pkg/media-libs/freetype-2.10.4-r1/freetype-2.10.4-r1.ebuild
- var/db/pkg/media-libs/freetype-2.10.4-r1/repository
package_cacheimage: ""
runtime:
  name: freetype
  version: 2.10.4+1
  category: media-libs-2
  use_flags:
  - -brotli
  - -harfbuzz
  - X
  - bzip2
  - png
  - utils
  - fontforge
  requires:
  - name: bzip2
    version: '>=0'
    category: app-arch
  - name: libpng
    version: '>=0'
    category: media-libs
  - name: libX11
    version: '>=0'
    category: x11-libs
  - name: libXau
    version: '>=0'
    category: x11-libs
  - name: libXdmcp
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A high-quality and portable font engine
  uri:
  - https://www.freetype.org/
  license: '|| ( FTL GPL-2+ )'
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815
    DEPEND: '>=sys-libs/zlib-1.2.8-r1 brotli? ( app-arch/brotli ) bzip2? ( >=app-arch/bzip2-1.0.6-r4
      ) harfbuzz? ( >=media-libs/harfbuzz-1.3.0[truetype] ) png? ( >=media-libs/libpng-1.2.51:0=
      ) utils? ( X? ( >=x11-libs/libX11-1.6.2 >=x11-libs/libXau-1.0.7-r1 >=x11-libs/libXdmcp-1.1.1-r1
      ) )'
    IUSE: X +adobe-cff bindist brotli bzip2 +cleartype_hinting debug doc fontforge
      harfbuzz infinality png static-libs utils
    RDEPEND: '>=sys-libs/zlib-1.2.8-r1 brotli? ( app-arch/brotli ) bzip2? ( >=app-arch/bzip2-1.0.6-r4
      ) harfbuzz? ( >=media-libs/harfbuzz-1.3.0[truetype] ) png? ( >=media-libs/libpng-1.2.51:0=
      ) utils? ( X? ( >=x11-libs/libX11-1.6.2 >=x11-libs/libXau-1.0.7-r1 >=x11-libs/libXdmcp-1.1.1-r1
      ) )'
    emerge.packages: media-libs/freetype:2
    kit: core-gl-kit
    original.package.name: media-libs/freetype
    original.package.slot: "2"
    original.package.version: 2.10.4-r1
